package com.example.miguel.saludoactivitylabappint;

import android.app.Activity;
import android.content.Context;
import android.widget.TextView;

import saludoactivitylabappint.R;

public class Counters {

    int mOnCreate;
    int mOnStart;
    int mOnResume;
    int mOnRestart;
    int mOnPause;
    int mOnStop;
    int mOnDestroy;

    public void incOnCreate() {
        this.mOnCreate += 1;
    }
    public int getOnCreate(){
       return mOnCreate;
    }

    public void incOnStart() {
        this.mOnStart += 1;
    }
    public int getOnStart(){
        return mOnStart;
    }

    public void incOnResume() {
        this.mOnResume +=1;
    }
    public int getOnResume(){
        return mOnResume;
    }

    public void incOnRestart() {
        this.mOnRestart +=1;
    }
    public int getOnRestart() {return mOnRestart;}

    public void incOnPause() {
        this.mOnPause +=1;
    }
    public int getOnPause() {return mOnPause;}

    public void incOnStop() {
        this.mOnStop +=1;
    }
    public int getOnStop() {return mOnStop;}

    public void incOnDestroy() {this.mOnDestroy +=1;}
    public int getOnDestroy() {return mOnDestroy;}

}
